nprogress.h File Reference

Allows external interfaces to obtain progress reports when running long calculations. More...

`#include <ctime>`
`#include "regina-core.h"`
`#include "shareableobject.h"`
`#include "utilities/nthread.h"`

## Classes

class | regina::NProgress
| An object through which external interfaces can obtain progress reports when running long calculations. More...
class | regina::NProgressFinished
| A progress report that immediately claims it is finished. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Allows external interfaces to obtain progress reports when running long calculations.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).